[Mongrel] [ANN] - mongrel_service 0.3.2

Luis Lavena luislavena at gmail.com
Sun Jun 3 11:36:32 EDT 2007


Hello Mongrel Users!

This announce is for Windows users of Mongrel! ;-)

I have uploaded a new gem solving a few issues with services.

* Services didn't install on x64 versions of Windows (Server 2003, XP or Vista).
* It should no longer depend on Ruby being installed in the PATH
* It also allow you have Ruby or your application in any path,
including ones with spaces (sorry about that!) :-P

Also, I'll like to notice a few issues with current mysql (5.0.41 and
5.0.42 for Windows):

http://rubyforge.org/pipermail/mongrel-users/2007-May/003612.html

This describe a issue with current mysql driver that could block
mongrel_service from being stopped correctly.

Also could leave the child ruby process orphaned in the system,
blocking  the ports used for the service, so trying to start it again
will fail.

NOTE: This is not a mongrel_service issue, but mysql-specific.

Regards and good weekend everybody!

-- 
Luis Lavena
Multimedia systems
-
Leaders are made, they are not born. They are made by hard effort,
which is the price which all of us must pay to achieve any goal that
is worthwhile.
Vince Lombardi


More information about the Mongrel-users mailing list